Loading...
Searching...
No Matches
pqxx::nullness< TYPE, ENABLE > Struct Template Reference

Traits describing a type's "null value," if any. More...

## Static Public Member Functions

static bool | is_null (TYPE const &value)
| Is `value` a null?
static TYPE | null ()
| Return a null value.

## Static Public Attributes

static bool | has_null
| Does this type have a null value?
static bool | always_null
| Is this type always null?

## Detailed Description

template<typename TYPE, typename ENABLE = void>
struct pqxx::nullness< TYPE, ENABLE >

Traits describing a type's "null value," if any.

Some C++ types have a special value or state which correspond directly to SQL's NULL.

The `nullness` traits describe whether it exists, and whether a particular value is null.

## Member Function Documentation

## null()

template<typename TYPE , typename ENABLE = void>

static TYPE pqxx::nullness< TYPE, ENABLE >::null | ( |  | ) |

static

Return a null value.

Don't use this in generic code to compare a value and see whether it is null. Some types may have multiple null values which do not compare as equal, or may define a null value which is not equal to anything including itself, like in SQL.

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/strconv.hxx